> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-api-common-tasks-cookbook.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Delete Subject Compatibility

> Deletes one bounded batch of compatibility bindings. Imported and
 user-attribute-derived bindings are recoverable so corrected source data
 can be applied on the next import or sign-in. Correct attribute source data
 before deleting its binding so a concurrent sign-in cannot recreate the
 stale value.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/sso/applications/{id}/subjects/delete
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/sso/applications/{id}/subjects/delete:
    post:
      tags:
        - SSO
      summary: Batch Delete Subject Compatibility
      description: |-
        Deletes one bounded batch of compatibility bindings. Imported and
         user-attribute-derived bindings are recoverable so corrected source data
         can be applied on the next import or sign-in. Correct attribute source data
         before deleting its binding so a concurrent sign-in cannot recreate the
         stale value.
      operationId: c1.api.sso.v1.SSOApplicationService.BatchDeleteSubjectCompatibility
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.sso.v1.SSOApplicationServiceBatchDeleteSubjectCompatibilityRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.sso.v1.SSOApplicationServiceBatchDeleteSubjectCompatibilityResponse
          description: >-
            SSOApplicationServiceBatchDeleteSubjectCompatibilityResponse reports
            bounded
             recovery progress.
components:
  schemas:
    c1.api.sso.v1.SSOApplicationServiceBatchDeleteSubjectCompatibilityRequestInput:
      description: |-
        SSOApplicationServiceBatchDeleteSubjectCompatibilityRequest deletes a
         bounded batch of compatibility-subject bindings.
      properties:
        userIds:
          description: The userIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Sso Application Service Batch Delete Subject Compatibility Request
      type: object
      x-speakeasy-name-override: SSOApplicationServiceBatchDeleteSubjectCompatibilityRequest
    c1.api.sso.v1.SSOApplicationServiceBatchDeleteSubjectCompatibilityResponse:
      description: >-
        SSOApplicationServiceBatchDeleteSubjectCompatibilityResponse reports
        bounded
         recovery progress.
      properties:
        deletedRows:
          description: The deletedRows field.
          format: int32
          type: integer
        issues:
          description: The issues field.
          items:
            $ref: >-
              #/components/schemas/c1.api.sso.v1.SSOSubjectCompatibilityDeleteIssue
          type:
            - array
            - 'null'
      title: Sso Application Service Batch Delete Subject Compatibility Response
      type: object
      x-speakeasy-name-override: SSOApplicationServiceBatchDeleteSubjectCompatibilityResponse
    c1.api.sso.v1.SSOSubjectCompatibilityDeleteIssue:
      description: >-
        SSOSubjectCompatibilityDeleteIssue describes one compatibility binding
        that
         could not be deleted.
      properties:
        reason:
          description: The reason field.
          type: string
        userId:
          description: The userId field.
          type: string
      title: Sso Subject Compatibility Delete Issue
      type: object
      x-speakeasy-name-override: SSOSubjectCompatibilityDeleteIssue
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````